Subject: Re: [bitcoin-dev] Requirement for pseudonymous BIP submissions

From: Troy Benjegerdes <[email-masked]>
Date: Tue, 28 Mar 2017 01:31:04 +0000

On Mon, Mar 27, 2017 at 08:32:07AM -0500, Chris Stewart wrote:
> >I quite agree, and I would add that sometimes making yourself
> recognisable is far more important that merit.
> 
> The intent of my original proposal allows you to reveal yourself *after*
> the BIP has been accepted if you so choose. You do this by just revealing
> the preimage of the author hash. As others have pointed out, you can't
> *force* people to use this process -- but we can make it a defacto
> requirement by the BIP maintainer. Just like how you can't *force* people
> to format their BIPs in a certain way, but the BIP maintainer has the right
> to decline them if they aren't formatted that way.
> 
> > Today, BitFury's CEO threatened to sue developers if they didn't kowtow to
> > his demands to leave the PoW alone. This is unacceptable. Decisions have
> to
> > be made on merit and the interest of the project, and nothing else.
> 
> I think everyone on the list needs to see that paragraph again, and let the
> implications set in.

We are talking about money here. Decisions in this project are
not made based on 'merit', they are made based on ROI. If killing
the project is more profitable, many of the actors involved are
obligated to their shareholders to attempt to kill the project.

Or maybe in this case, they might be obligated to their investors
to attempt to try to run all the competing miners out of business
and acquire a majority stake in the hashpower.

If Merit were actually important, I would hope we would be
talking about a way to finance development in a way that provides
real financial incentives for merit, rather than what appear to
be some perverse incentives that seem to be rewarding short-term
traders, conflict, and further consolidation of mining and 
exchanges.

The other problem with merit is there are just about as many ideas
about what has merit as there are people judging the merit of the
project.

For instance, I think demurrage and increasing the money supply are
ideas with more merit, but those ideas are not profitable to existing
bitcoin investors, and thus are not seriously discussed.